import type { Frame } from 'react-native-vision-camera';
export interface TextResult {
    barcodeText: string;
    barcodeFormat: string;
    barcodeBytesBase64: string;
    x1: number;
    x2: number;
    x3: number;
    x4: number;
    y1: number;
    y2: number;
    y3: number;
    y4: number;
}
export interface DBRConfig {
    template?: string;
    license?: string;
    isFront?: boolean;
    rotateImage?: boolean;
}
/**
 * Detect barcodes from the camera preview
 */
export declare function decode(frame: Frame, config: DBRConfig): TextResult[];
/**
 * Init the license of Dynamsoft Barcode Reader
 */
export declare function initLicense(license: string): Promise<boolean>;
/**
 * Init the runtime settings from a JSON template
 */
export declare function initRuntimeSettingsFromString(template: string): Promise<boolean>;
/**
 * Detect barcodes from base64
 */
export declare function decodeBase64(base64: string): Promise<TextResult[]>;
